(* Status bar at the bottom. That be it *)

unit barinfo;

interface
procedure InfoBar(Barnum: byte;s:string);
implementation
uses dos,crt,io,records,genstr,timeing;

procedure InfoBar(Barnum: byte;s:string);
Var OldX,OldY : Byte;
    oldc:byte;
    BS:string; {funny huh?}
    c:byte;
begin
 checktime;
 OldX := WhereX;
 OldY := WhereY;
 if currentbar=3 then begin
                      fastsetback(25,$0000);
                      Window(1,1,80,25);
                      GotoXy(OldX,OldY);
                      exit;
                      end;
 c:=textattr;
 bs:='';
 Window(1,1,80,25);
 fastsetback(25,$1020);
 If User.alias = '' then User.alias := 'Nobody';
  Case CurrentBar of
    1 : bs:=('|B1|09Alias |15' +user.alias+
                    '|B1|09 Phone |15('+user.Phone+'|15) '+
                    '|B1|09 Password |15(' +user.password+
                    ')|B1|09 Time |15'+Strr(timeleft)+' '+strr(1)+'   |15[|09'+s+'|15]');
    2 : bs:=('|B1|09Birth '+user.birthdate+' Note '+user.usernote+' Sysop note '+user.sysopnote);
    3 : fastsetback(25,$0000);
   End;
 if currentbar in [1..2] then begin
                              lprintxy(1,25,bs);
                              Window(1,1,80,24);
                              GotoXy(OldX,OldY);
                              textattr:=c;
                              end;
end;

begin
end.